docker run -it \
--name csgrid_server \
--rm \
-p 9010:9010 \
-p 9099:9099 \
-p 9681:9681 \
-p 9080:8080 \
-p 9778:9778 \
-p 9878:7878 \
-p 9779:7779 \
-p 40500:40500 \
-v ./csgrid_data/persist:/csgrid/persist \
-v ./csgrid_data/projects:/csgrid/projects \
-v ./csgrid_data/algorithms:/csgrid/algorithms \
-v ./csgrid_data/security:/csgrid/security \
-v ./csgrid_data/logs:/csgrid/logs \
-e "CSGRID_HOST_NAME=$HOSTNAME" \
-e "CSGRID_HOST_ADDR=$HOSTNAME" \
-e "CSGRID_RMI_REGISTRY_PORT=9099" \
-e "CSGRID_RMI_EXPORT_PORT=9098" \
--network=host \
csbase/csgrid:2.7.3-SNAPSHOT \
/bin/bash
